> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve access plans for a facility

> Returns the access plans for the specified facility with all related items. 



## OpenAPI

````yaml /openapi/shopping-openapi.json get /shopping/{portfolio}/v1/shopping-cart/access-plans/{facilityUuid}
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/shopping-cart/access-plans/{facilityUuid}:
    get:
      tags:
        - Shopping Cart
      summary: Retrieve access plans for a facility
      description: >-
        Returns the access plans for the specified facility with all related
        items. 
      operationId: PublicApiShoppingCartController_getAccessPlans
      parameters:
        - name: facilityUuid
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
        - in: path
          required: true
          name: portfolio
          schema:
            example: abc_selfstorage
      responses:
        '200':
          description: The access plans for the specified facility with all related items
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccessPlanWithItemDto'
components:
  schemas:
    AccessPlanWithItemDto:
      type: object
      properties:
        accessPlanUuid:
          type: string
          format: uuid
        itemType:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AccessPlanItem'
        vendorName:
          type: string
        accessPlanDayRules:
          type: array
          items:
            $ref: '#/components/schemas/AccessPlanDayRuleDto'
        facilities:
          type: array
          items:
            $ref: '#/components/schemas/AccessPlanFacilityDto'
        planNameDescription:
          type: string
        name:
          type: string
        isDefault:
          type: boolean
        isLegacy:
          type: boolean
        isManagedByVendor:
          type: boolean
      required:
        - accessPlanUuid
        - itemType
        - accessPlanDayRules
        - name
        - isDefault
        - isLegacy
    AccessPlanItem:
      type: object
      properties:
        itemTypeUuid:
          type: string
          format: uuid
        itemTypeName:
          type: string
        description:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
        isRecurring:
          type: boolean
        isRequiredAtMoveIn:
          type: boolean
        isRequiredAtTransfer:
          type: boolean
        isReadOnly:
          type: boolean
        isTaxable:
          type: boolean
        taxCode:
          type: string
          nullable: true
        isActive:
          type: boolean
        isProratedAtMoveIn:
          type: boolean
        feeType:
          type: string
          nullable: true
        fixedFeeAmount:
          type: number
          nullable: true
        feePercentage:
          type: number
          nullable: true
      required:
        - itemTypeUuid
        - itemTypeName
        - description
        - category
        - isRecurring
        - isRequiredAtMoveIn
        - isRequiredAtTransfer
        - isReadOnly
        - isTaxable
        - taxCode
        - isActive
        - isProratedAtMoveIn
        - feeType
        - fixedFeeAmount
        - feePercentage
    AccessPlanDayRuleDto:
      type: object
      properties:
        isOpen:
          type: boolean
          description: Indicates if the access plan day rule is active
          default: false
        accessPlanDayRuleUuid:
          type: string
          nullable: true
          format: uuid
        accessPlanUuid:
          type: string
          nullable: true
          format: uuid
        dayOfWeek:
          type: string
          enum:
            - Mon
            - Tue
            - Wed
            - Thu
            - Fri
            - Sat
            - Sun
        accessStartTime:
          type: string
          description: Start time in HH:mm:ss format
        accessEndTime:
          type: string
          description: End time in HH:mm:ss format
      required:
        - isOpen
        - dayOfWeek
        - accessStartTime
        - accessEndTime
    AccessPlanFacilityDto:
      type: object
      properties:
        facilityUuid:
          type: string
          format: uuid
        facilityName:
          type: string
      required:
        - facilityUuid
        - facilityName

````